> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extat.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a bank account data



## OpenAPI

````yaml /openapi/extat-openapi.json put /bank-accounts/{id}
openapi: 3.0.0
info:
  contact:
    email: contato@cernedigital.io
    name: Cerne Digital
    url: https://cernedigital.io
  description: >-
    API REST da Extat Plataforma usada pelo painel web. Artefato OpenAPI 3.0
    para a documentação Mintlify (tags em PT-BR).
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Extat Plataforma - API REST
  version: '1.0'
servers:
  - url: https://golang-api-vgnqx.ondigitalocean.app/v1
security: []
tags:
  - name: Autenticação
  - name: Bancos
  - name: Contas Bancárias
  - name: Plano e Assinaturas
  - name: Empresa
  - name: Centros de Custo
  - name: Painel
  - name: Demonstrativos
  - name: Saúde
  - name: Convites
  - name: Membros
  - name: Onboarding
  - name: Fornecedores
  - name: Usuário
paths:
  /bank-accounts/{id}:
    put:
      tags:
        - Contas Bancárias
      summary: Update a bank account data
      parameters:
        - description: bank account uuid
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: company uuid
          in: header
          name: x-company-id
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/dto.CreateBankAccountRequestDTO'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.SuccessResponseDTO'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponseDTO'
          description: Bad Request
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponseDTO'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  requestBodies:
    dto.CreateBankAccountRequestDTO:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/dto.CreateBankAccountRequestDTO'
      description: bank account data
      required: true
  schemas:
    handler.SuccessResponseDTO:
      properties:
        message:
          type: string
      type: object
    handler.ErrorResponseDTO:
      properties:
        error:
          type: string
        message:
          type: string
      type: object
    dto.CreateBankAccountRequestDTO:
      properties:
        account_number:
          type: string
        active:
          type: boolean
        agency:
          type: string
        alias:
          type: string
        bank_id:
          type: string
        opening_balance:
          type: number
        type:
          type: string
      required:
        - account_number
        - agency
        - alias
        - bank_id
        - type
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Token da sessão no cabeçalho Authorization, no formato Bearer (mesmo
        esquema ApiKeyAuth do contrato).
      in: header
      name: Authorization
      type: apiKey

````